Skip to main content
GET
/
dev
/
v1
/
products
List products
curl --request GET \
  --url https://api.shoppex.io/dev/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "prod_db_1",
      "uniqid": "prod_1",
      "shop_id": "shop_1",
      "slug": "starter-pack",
      "type": "DYNAMIC",
      "subtype": null,
      "title": "Starter Pack",
      "currency": "USD",
      "price": 19.99,
      "price_display": 19.99,
      "cost": null,
      "cost_display": null,
      "discount_percent": 0,
      "pay_what_you_want": false,
      "description": "Product description",
      "gateways": [
        "PAYPAL"
      ],
      "custom_fields": [
        {
          "name": "Invite",
          "type": "text",
          "required": true
        }
      ],
      "delivery_instructions": {
        "enabled": true,
        "required": true,
        "label": "Discord username"
      },
      "volume_discounts": [],
      "quantity_min": 1,
      "quantity_max": -1,
      "quantity_warning": 5,
      "stock": 3,
      "available_stock": 3,
      "stock_delimiter": "\n",
      "unlisted": false,
      "private": false,
      "on_hold": false,
      "sort_priority": 1,
      "crypto_confirmations": 1,
      "max_risk_level": 0,
      "block_vpn_proxies": false,
      "delivery_text": "",
      "delivery_time": null,
      "service_text": "",
      "dynamic_webhook": "https://example.com/hook",
      "terms_of_service": null,
      "warranty_days": 0,
      "warranty_text": null,
      "watermark_enabled": true,
      "watermark_text": null,
      "redirect_link": null,
      "youtube_link": null,
      "image_id": null,
      "image_url": null,
      "file_id": null,
      "recurring_interval": null,
      "recurring_interval_count": null,
      "trial_period": null,
      "licensing_enabled": false,
      "license_period": null,
      "affiliate_revenue_percent": 0,
      "affiliate_customer_discount_mode": "USE_STORE_DEFAULT",
      "affiliate_customer_discount_percent": null,
      "category_id": null,
      "variants": [],
      "created_at": 1711965600,
      "updated_at": 1711965600
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  },
  "stats": {
    "total": 1,
    "published": 1,
    "low_stock": 1,
    "out_of_stock": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

cursor
string
limit
string
include_stats
string
includeStats
string
include_variants
string
includeVariants
string

Response

200 - application/json

Successful response

data
object[]
pagination
object